Skip to main content
POST
/
v1
/
workspaces
/
{workspace_id}
/
spec
/
template
Generate spec via LLM
curl --request POST \
  --url https://api.usezombie.com/v1/workspaces/{workspace_id}/spec/template \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "messages": [
    {
      "role": "user",
      "content": "<string>"
    }
  ],
  "tools": [
    {
      "name": "<string>",
      "description": "<string>",
      "input_schema": {}
    }
  ]
}
'
"<string>"

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

workspace_id
string<uuid>
required

Workspace identifier

Body

application/json

Request body for Agent Relay LLM endpoints (spec template and preview). The workspace_id is provided via the path parameter.

messages
object[]
required

Conversation messages for the LLM

tools
object[]

Optional tool definitions for the LLM to use during generation

Response

SSE stream of LLM-generated spec content

Server-Sent Events stream with spec template content